Workflow Definitions API
PUT/api/workflow-definitions/{workflowId}/{version}
Product availabilityAlgaPSA

Update workflow draft definition

Replaces the draft definition for a specific version.

RBAC · workflow

Path parameters

workflowIdstring <uuid>Required
versionstringRequired
Draft version number (coerced to a positive integer).

Request body

Content type: application/json · schema WorkflowDefinitionUpdateBody

definitionobjectRequired
Workflow definition DSL document (nodes, edges, triggers, payload schema, etc.).

Response body

Success response 200 · schema UnversionedV1Success

dataanyOfRequired
anyOf (option 1)object
anyOf (option 2)array of object
itemsobject
metaobject

Response codes

200
Draft updated.
400
Invalid request.
401
API key missing/invalid.
403
Caller lacks the required permission.
404
Workflow/version not found.
500
Unexpected error.